# Case Content of Injunction

## Filter by case content of injunction (integer).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2p1/cases?content_of_injunction=content_of_injunction_id`

#### Query Parameters

| Name                                                          | Type    | Description                                                                          |
| ------------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------ |
| content\_of\_injunction\_id<mark style="color:red;">\*</mark> | integer | Content of Injunction ID (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Cases successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2p1/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2p1/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2p1/cases/?case_id=xyz
["API Error: xyz is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

| 5573  | Warrant/order for search or seizure                       |
| ----- | --------------------------------------------------------- |
| 5574  | Required disclosure                                       |
| 5523  | Expungement of Employment Record                          |
| 38547 | New Election                                              |
| 5527  | Discrimination Prohibition                                |
| 38548 | Redistricting                                             |
| 38549 | Vote Counting                                             |
| 38550 | Voting Process Changes                                    |
| 38551 | Voter Registration                                        |
| 38552 | State Statute Struck Down                                 |
| 5542  | Auditing                                                  |
| 5342  | Busing                                                    |
| 5533  | Comply with advertising/recruiting requirements           |
| 5529  | Develop anti-discrimination policy                        |
| 5532  | Follow recruitment, hiring, or promotion protocols        |
| 5544  | Goals (e.g., for hiring, admissions)                      |
| 5519  | Hire                                                      |
| 5538  | Implement complaint/dispute resolution process            |
| 5534  | Other requirements regarding hiring, promotion, retention |
| 5535  | Post/Distribute Notice of Rights / EE Law                 |
| 5540  | Monitor/Master                                            |
| 5330  | Preliminary relief granted                                |
| 5327  | Receivership                                              |
| 5628  | Preliminary relief request withdrawn/mooted               |
| 5520  | Promotion                                                 |
| 5536  | Provide antidiscrimination training                       |
| 5541  | Recordkeeping                                             |
| 5539  | Reporting                                                 |
| 5528  | Retaliation Prohibition                                   |
| 5525  | Retroactive Seniority                                     |
| 5343  | Student assignment                                        |
| 5585  | Training                                                  |
| 5531  | Utilize objective hiring/promotion criteria               |
| 5530  | Utilize objective job description                         |
| 5526  | Reasonable Accommodation                                  |
| 5522  | Reinstatement                                             |
| 5344  | Remedial education                                        |
| 5341  | Magnet school                                             |
| 5543  | Monitoring                                                |
| 5524  | Neutral/Positive Reference                                |
| 5521  | Position Restored                                         |
| 5331  | Preliminary relief denied                                 |
| 5518  | Apology                                                   |

For more information about these injunction criteria, see [#content-of-injunction](https://api.clearinghouse.net/objects/case/issues#content-of-injunction "mention").

**Example**

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2p1/cases?content_of_injunction=5331
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2p1/cases?content_of_injunction=5331"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}
